Package org.zkoss.zk.ui.metainfo

## Class DefinitionLoaders

- java.lang.Object
- - org.zkoss.zk.ui.metainfo.DefinitionLoaders

-     public class DefinitionLoaders
      extends java.lang.Object

  Utilities to load language definitions.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefinitionLoaders()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addAddon​(Locator locator, java.net.URL url)` | Adds a language addon.
    `static void` | `addExtension​(java.lang.String ext, java.lang.String lang)` | Associates an extension to a language.
    `static void` | `addLanguage​(Locator locator, java.net.URL url)` | Adds a language.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefinitionLoaders

          public DefinitionLoaders()

  - ### Method Detail

    - #### addAddon

          public static void addAddon​(Locator locator,
                                      java.net.URL url)

      Adds a language addon. It is usually used when an application want to load additional addons. For example, if you want to load an addon only if the professional edition is ready, you can register a `WebAppInit` listener.

    - #### addLanguage

          public static void addLanguage​(Locator locator,
                                         java.net.URL url)

      Adds a language. It is usually used when application want to load additional language.
      Since:
        5.0.7

    - #### addExtension

          public static final void addExtension​(java.lang.String ext,
                                                java.lang.String lang)

      Associates an extension to a language.
      Parameters:
        `lang` - the language name. It cannot be null.
        `ext` - the extension, e.g., "svg". It cannot be null.
      Since:
        3.0.0